List all passkey events for a user
Returns a list of passkey events for a user by given userID.
The list can be sorted and filtered:
- The
sortparameter supports the following fields:createdandeventType. - The
filterparameter supports the following fields:eventType.
Refer to the parameter description for more details on sorting in different directions and using the filter with different operators.
Documentation Index
Fetch the complete documentation index at: https://docs.corbado.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Basic authentication is used to authenticate requests to the Backend API. The username is the project ID and the password is the API secret.
The project ID and API secret can be found in the Developer Panel.
Path Parameters
Unique identifier of the user. Format: usr-<number>.
"usr-4693224802260150919"
Query Parameters
Field and direction to sort results. Use the format fieldName:asc or fieldName:desc.
"createdAt:desc"
Filter results by specific fields and conditions. Format: <field>:<operator>:<value>.
Supported operators include:
eq: equals (e.g.email:eq:mail@example\.commatches items where email equals mail@example.com)gt: greater than (e.g.created:gt:2021-01-01T00:00:00matches items created after Jan 1, 2021)lt: less than (e.g.created:lt:2021-01-01T00:00:00matches items created before Jan 1, 2021)
The page number to retrieve for paginated results.
1
The number of items to return per page. Useful for pagination.
20